javax.el

## Class EvaluationListener

- java.lang.Object
- - javax.el.EvaluationListener

    public abstract class EvaluationListener
    extends java.lang.Object

The listener interface for receiving notification when an EL expression is evaluated.

Since:
  EL 3.0

### Constructor Summary

Constructors
Constructor and Description
`EvaluationListener()`

### Method Summary

Methods
`void` `afterEvaluation(ELContext context, java.lang.String expression)` Receives notification after an EL expression is evaluated
`void` `beforeEvaluation(ELContext context, java.lang.String expression)` Receives notification before an EL expression is evaluated
`void` `propertyResolved(ELContext context, java.lang.Object base, java.lang.Object property)` Receives notification when the (base, property) pair is resolved

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvaluationListener

    public EvaluationListener()

### Method Detail

#### beforeEvaluation

    public void beforeEvaluation(ELContext context,
                        java.lang.String expression)

Receives notification before an EL expression is evaluated

Parameters:
  `context` - The ELContext
  `expression` - The EL expression string to be evaluated

#### afterEvaluation

    public void afterEvaluation(ELContext context,
                       java.lang.String expression)

Receives notification after an EL expression is evaluated

Parameters:
  `context` - The ELContext
  `expression` - The EL expression string to be evaluated

#### propertyResolved

    public void propertyResolved(ELContext context,
                        java.lang.Object base,
                        java.lang.Object property)

Receives notification when the (base, property) pair is resolved

Parameters:
  `context` - The ELContext
  `base` - The base object
  `property` - The property object